@mixin breakpoint($class) {
  @if $class == desktop {
    @media (min-width: 1024px) { @content; }
  }
  @else if $class == tablet {
    @media (min-width: 768px) and (max-width:1024px) { @content; }
  }
  @else if $class == phone {
    @media (max-width:768px) { @content; }
  }
}

@mixin font-faceEx($fontname, $fontfile, $font-weight:normal, $font-style:  normal) {
  @font-face {
    font-family: $fontname;
    src: url('../fonts/'+$fontfile+'.eot');
    src: url('../fonts/'+$fontfile+'.eot?#iefix') format('embedded-opentype'),
      url('../fonts/'+$fontfile+'.woff2') format('woff2'),
      url('../fonts/'+$fontfile+'.woff') format('woff'),
      url('../fonts/'+$fontfile+'.svg#../fonts'+$fontfile+'') format('svg');
    font-weight: $font-weight;
    font-style: $font-style;
    font-stretch: normal;
    unicode-range: U+0020-00FE;
  }
}

@mixin responsive($width,
$maxwidth,
$padding) {
  .container {
    width: $width;
    max-width: $maxwidth;
    padding-left: $padding;
    padding-right: $padding;
  }
}

@mixin position($type: null,
$top: null,
$right: null,
$bottom: null,
$left: null,
$index: null) {
  position: $type;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;
  z-index: $index;
}

@mixin font($name: $font-family-sans-serif,
$size: $font-size-base,
$color: $text-color,
$weight: normal,
$style: normal) {
  font-family: $name;
  font-size: $size;
  color: $color;
  font-weight: $weight;
  font-style: $style;
}

@mixin sizeEx($width,
$height: $width) {
  width: $width;
  height: $height;
}


@mixin bzTransition($attribute: all, $timing: 0.4s) {
  -webkit-transition: $attribute $timing;
  -moz-transition: $attribute $timing;
  -ms-transition: $attribute $timing;
  -o-transition: $attribute $timing;
  transition: $attribute $timing;
}